Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Interface Plugin

All Superinterfaces:
  Disposable

All Known Subinterfaces:
  ClsWidget, CreateProjectPlugin, ExportPlugin, ExportProjectPlugin, ImportPlugin, ProjectFixupPlugin, ProjectPlugin, SlotWidget, TabWidget, Widget

All Known Implementing Classes:
  AbstractBackendExportPlugin, AbstractClsWidget, AbstractCreateProjectPlugin, AbstractExportPlugin, AbstractListWidget, AbstractPlugin, AbstractProjectPlugin, AbstractSlotWidget, AbstractTableWidget, AbstractTabWidget, AbstractTreeWidget, BooleanListWidget, CheckBoxWidget, ClipsFilesCreateProjectPlugin, ClipsFilesExportProjectPlugin, ClipsImportExportPlugin, ClsesAndInstancesTab, ClsesTab, ClsFieldWidget, ClsListWidget, CodeGeneratorProjectPlugin, ComboBoxWidget, ConstraintsWidget, DatabaseCreateProjectPlugin, DefaultValuesWidget, DigestedPasswordWidget, DirectDomainWidget, DirectInstancesWidget, DirectTypesWidget, DocumentationWidget, FloatFieldWidget, FloatListWidget, FormsTab, FormWidget, Frames1_8_BackwardsCompatibilityProjectFixups, ImageWidget, InstanceFieldWidget, InstanceListWidget, InstanceNameWidget, InstancesTab, IntegerFieldWidget, IntegerListWidget, InverseSlotWidget, KAToolTab, MaximumCardinalityWidget, MinimumCardinalityWidget, NumberFieldWidget, NumericMaximumWidget, NumericMinimumWidget, PasswordFieldWidget, ProjectPluginAdapter, ProtegePropertiesTab, RoleWidget, SlotsTab, SlotValuesWidget, StringListWidget, SubclassWidget, SuperclassWidget, SymbolListWidget, TemplateSlotsWidget, TextAreaWidget, TextComponentWidget, TextFieldWidget, UglyClsWidget, UglySlotWidget, UglyTabWidget, UniqueStringWidget, URLWidget, ValueTypeWidget, YellowStickyWidget

    public interface Plugin

extends Disposable

Author:
  Ray Fergerson

Method Summary
`String` | `getName()`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### getName

    String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.